import SharedPreferences from 'react-native-shared-preferences';

class CShared {
	constructor() {
		SharedPreferences.setName('dataStorage');
	}

	/**
	 * Send devices as string to java
	 * @param {string} devices list of devices as string
	 */
	SendDevices(devices) {
		try {
			SharedPreferences.setItem('devices', devices);
		} catch (error) {
			console.error('share.js');
			console.error(error);
		}
	}
}

export const Shared = new CShared();
