import SmsListener from '../module/sms-listener';

/**
 * Listen to SMSs
 * @param {(message: { originatingAddress: string, body: string, timestamp: number}) => void} callback Function on recive a SMS
 * @returns
 */
export const useSMSListener = (callback) => {
	return SmsListener.addListener(callback);
};
