import { configureFonts, DefaultTheme } from 'react-native-paper';

const fonts = {
	android: {
		regular: {
			fontFamily: 'font',
			fontWeight: 'normal',
		},
		bold: {
			fontFamily: 'font-bold',
			fontWeight: '700',
		},
	},
};

export const Theme = {
	...DefaultTheme,
    roundness: 8,
	fonts: configureFonts(fonts),
	colors: {
		...DefaultTheme.colors,
		primary: '#d50000',
		accent: '#f1c40f',
	},
};
